%define	version		3.0.5
%define poptver		1.5
# You need increase both release and poptrelease
%define release 27mdk
%define poptrelease	66mdk
%define url		ftp://ftp.rpm.org/pub/rpm/dist/rpm-3.0.x

Summary:	The RPM package management system
Name:		rpm
Version:	%{version}
Release:	%{release}
Group:		System/Configuration/Packaging

Source:		%{url}/rpm-%{version}.tar.bz2
Source2:        rpm-spec-mode-mdk.el.bz2
Patch0:		rpm-3.0.5-mdkconf.patch.bz2
Patch1:		rpm-3.3-rpmgettext.patch.bz2
Patch2:		rpm-rpmlibsucks.patch.bz2
Patch3:		rpm-3.0.4-bashort.patch.bz2
Patch4:		rpm-3.0.3-compile.patch.bz2
Patch5:		rpm-3.0.3-fakeroot.patch.bz2
Patch6:		rpm-3.0.4-install_lang.patch.bz2
Patch7:		rpm-3.0.4-oldfilenames.patch.bz2
Patch8:		rpm-skipmntpoints.patch.bz2
Patch9:		rpm-3.0.4-alpha-parse-eval-define.patch.bz2
Patch10:	rpm-3.0.4-updates-alternatives.patch.bz2
Patch11:	rpm-3.0.5-like_cpp.patch.bz2
Patch12:        rpm-3.0.5-objdump-shutup.patch
Patch13:        rpm-wait-for-lock.patch.bz2
Patch14:	rpm-python.patch.bz2

Copyright:	GPL
Conflicts:	patch < 2.5
Prereq:		gawk fileutils textutils sh-utils mktemp
BuildRequires:	python-devel >= 1.5.2 bzip2 >= 0.9.0c-2 zlib-devel gettext automake autoconf
Requires:	bzip2 >= 0.9.0c-2, popt
Conflicts:	menu < 2.1.5-29mdk
BuildRoot:	%{_tmppath}/rpm-%{version}-root
Prefix:		%{_prefix}

%description
RPM is a powerful command line driven package management system capable of
installing, uninstalling, verifying, querying, and updating software packages.
Each software package consists of an archive of files along with information
about the package like its version, a description, etc.

%package devel
Summary:	Development files for applications which will manipulate RPM packages
Group:		Development/C
Requires:	python >= 1.5.1, rpm = %{version}-%{release}, popt-devel = %{poptver}-%{poptrelease}

%description devel
This package contains the RPM C library and header files.  These
development files will simplify the process of writing programs
which manipulate RPM packages and databases and are intended to make
it easier to create graphical package managers or any other tools
that need an intimate knowledge of RPM packages in order to function.

This package should be installed if you want to develop programs that
will manipulate RPM packages and databases.

%package build
Summary:	Scripts and executable programs used to build packages
Group:		System/Configuration/Packaging
Requires:	rpm = %{version}, spec-helper, rpm = %{version}-%{release}

%description build
This package contains scripts and executable programs that are used to
build packages using RPM.

%package python
Summary:	Python bindings for apps which will manipulate RPM packages
Group:		Development/Python
Requires:	popt >= 1.5
Requires:	python >= 1.5.2, rpm = %{version}-%{release}

%description python
The rpm-python package contains a module which permits applications
written in the Python programming language to use the interface
supplied by RPM (RPM Package Manager) libraries.

This package should be installed if you want to develop Python
programs that will manipulate RPM packages and databases.

%package -n popt
Summary:	A C library for parsing command line parameters
Group:		System/Libraries
Version:	%{poptver}
Release:	%{poptrelease}

%description -n popt
Popt is a C library for parsing command line parameters.  Popt was
heavily influenced by the getopt() and getopt_long() functions, but it
improves on them by allowing more powerful argument expansion.  Popt
can parse arbitrary argv[] style arrays and automatically set
variables based on command line arguments.  Popt allows command line
arguments to be aliased via configuration files and includes utility
functions for parsing arbitrary strings into argv[] arrays using
shell-like rules.

%package -n popt-devel
Summary:	A C library for parsing command line parameters
Group:		Development/C
Version:	%{poptver}
Release:	%{poptrelease}
Requires: popt = %{poptver}-%{poptrelease}

%description -n popt-devel
Popt is a C library for parsing command line parameters.  Popt was
heavily influenced by the getopt() and getopt_long() functions, but it
improves on them by allowing more powerful argument expansion.  Popt
can parse arbitrary argv[] style arrays and automatically set
variables based on command line arguments.  Popt allows command line
arguments to be aliased via configuration files and includes utility
functions for parsing arbitrary strings into argv[] arrays using
shell-like rules.

Install popt-devel if you're a C programmer and you'd like to use its
capabilities.

%prep

%setup -q
%patch0 -p1 -b .mdk
%patch1 -p0
%patch2 -p1
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch6 -p1
%patch7 -p0
%patch8 -p1
%patch9 -p0
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p0 -b .lock
%patch14 -p0

%build

./configure %{_target_platform} --prefix=%{prefix} --mandir=%{_datadir}/man --infodir=%{_datadir}/info

if [ -z "$NPROCS" ]; then NPROCS=`egrep -c ^cpu[0-9]+ /proc/stat || :`; fi

if [ -z "$NPROCS" -o "$NPROCS" -le "0" ]; then
  NPROCS=1
fi

make -j$NPROCS

make -C python

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/lib
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{prefix}/src/RPM/{SOURCES,SPECS,SRPMS,BUILD}
%ifarch i386 i486 i586 i686 k6 k7
mkdir -p $RPM_BUILD_ROOT%{prefix}/src/RPM/RPMS/{i386,i486,i586,i686,k6}
%endif
%ifarch ppc
mkdir -p $RPM_BUILD_ROOT%{prefix}//src/RPM/RPMS/{ppc,powerpc}
%endif
mkdir -p $RPM_BUILD_ROOT%{prefix}//src/RPM/RPMS/noarch

make DESTDIR="$RPM_BUILD_ROOT" install

make DESTDIR="$RPM_BUILD_ROOT" -C python install

mkdir -p $RPM_BUILD_ROOT%{prefix}/sbin $RPM_BUILD_ROOT%{_datadir}/man/man8/
install -m644 update-alternatives.8 $RPM_BUILD_ROOT%{_datadir}/man/man8/
install -m755 update-alternatives $RPM_BUILD_ROOT%{_sbindir}/
install -d $RPM_BUILD_ROOT/etc/alternatives
install -d $RPM_BUILD_ROOT/var/lib/rpm/alternatives

mkdir -p $RPM_BUILD_ROOT/etc/alternatives
mkdir -p $RPM_BUILD_ROOT/var/lib/rpm/alternatives/

mkdir -p $RPM_BUILD_ROOT/lib
mv $RPM_BUILD_ROOT%{_libdir}/libpopt.so.* $RPM_BUILD_ROOT/lib
ln -s ../../lib/libpopt.so.0 $RPM_BUILD_ROOT%{_libdir}
ln -sf libpopt.so.0 $RPM_BUILD_ROOT%{_libdir}/libpopt.so

%ifarch i386 i486 i586 i686 k6 k7
rm -rf $RPM_BUILD_ROOT%{_libdir}/rpm/i386-mandrake-linux
ln -sf i586-mandrake-linux $RPM_BUILD_ROOT%{_libdir}/rpm/i386-mandrake-linux
ln -sf i586-mandrake-linux $RPM_BUILD_ROOT%{_libdir}/rpm/i386-linux
ln -sf i586-mandrake-linux $RPM_BUILD_ROOT%{_libdir}/rpm/i486-linux
ln -sf i586-mandrake-linux $RPM_BUILD_ROOT%{_libdir}/rpm/i586-linux
%endif

%ifarch ppc powerpc
ln -sf ppc-mandrake-linux $RPM_BUILD_ROOT%{_libdir}/rpm/powerpc-mandrake-linux
%endif

mv -f $RPM_BUILD_ROOT%{_libdir}/rpm/brp-redhat $RPM_BUILD_ROOT%{_libdir}/rpm/brp-mandrake

mv -f $RPM_BUILD_ROOT/%{_libdir}/rpm/rpmdiff $RPM_BUILD_ROOT/%{_bindir}

install -d $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp
cp %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp
bunzip2 $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/*.bz2

install -d $RPM_BUILD_ROOT%{_sysconfdir}/emacs/site-start.d
cat <<EOF >$RPM_BUILD_ROOT%{_sysconfdir}/emacs/site-start.d/%{name}.el
(setq auto-mode-alist (cons '("\\.spec$" . rpm-spec-mode) auto-mode-alist))
(autoload 'rpm-spec-mode "rpm-spec-mode-mdk" "RPM spec mode (mandrakized)." t)
EOF

mkdir -p $RPM_BUILD_ROOT/etc/rpm

test -d doc-copy || mkdir doc-copy
rm -rf doc-copy/*
ln -f doc/manual/* doc-copy/
rm -f doc-copy/Makefile*

%find_lang %{name}
%find_lang popt

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
/bin/rpm --initdb
if [ ! -e /etc/rpm/macros -a -e /etc/rpmrc -a -f %{_libdir}/rpm/convertrpmrc.sh ] 
then
	sh %{_libdir}/rpm/convertrpmrc.sh 2>&1 > /dev/null
fi

if grep -qi AMD-K6 /proc/cpuinfo;then
	perl -p -i -e "s/#K6#//g" %{_libdir}/rpm/rpmrc
fi

%postun -p /sbin/ldconfig

%post devel -p /sbin/ldconfig
%postun devel -p /sbin/ldconfig

%post python -p /sbin/ldconfig
%postun python -p /sbin/ldconfig

%post -n popt -p /sbin/ldconfig
%postun -n popt -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc RPM-PGP-KEY CHANGES GROUPS
%doc doc-copy/*
/bin/rpm
%{_bindir}/rpm2cpio
%{_bindir}/gendiff
%{_sbindir}/update-alternatives
%{_libdir}/librpm.so.*
%{_libdir}/librpmbuild.so.*

%dir /var/lib/rpm/alternatives/
%dir /etc/alternatives
%dir %{_libdir}/rpm
%dir /etc/rpm
%{_libdir}/rpm/brp-*
%{_libdir}/rpm/config.guess
%{_libdir}/rpm/config.sub
%{_libdir}/rpm/convertrpmrc.sh
%{_libdir}/rpm/find-lang.sh
%{_libdir}/rpm/find-prov.pl
%{_libdir}/rpm/find-provides
%{_libdir}/rpm/find-req.pl
%{_libdir}/rpm/find-requires
%{_libdir}/rpm/getpo.sh
%{_libdir}/rpm/macros
%{_libdir}/rpm/mkinstalldirs
%{_libdir}/rpm/rpmpopt
%{_libdir}/rpm/rpmrc
%{_libdir}/rpm/vpkg-provides.sh
%{_libdir}/rpm/vpkg-provides2.sh
%ifarch %{ix86}
%{_libdir}/rpm/i*86-*
%endif
%ifarch alpha
%{_libdir}/rpm/alpha-*
%endif
%ifarch sparc sparc64
%{_libdir}/rpm/sparc*
%endif
%ifarch ppc powerpc
%{_libdir}/rpm/ppc-*
%{_libdir}/rpm/powerpc-*
%endif
%{_libdir}/rpm/noarch*

%dir %{prefix}/src/RPM
%dir %{prefix}/src/RPM/BUILD
%dir %{prefix}/src/RPM/SPECS
%dir %{prefix}/src/RPM/SOURCES
%dir %{prefix}/src/RPM/SRPMS
%dir %{prefix}/src/RPM/RPMS
%{prefix}/src/RPM/RPMS/*
%lang(pl) %{_datadir}/man/pl/man[18]/*.[18]*
%lang(ru) %{_datadir}/man/ru/man[18]/*.[18]*
%lang(ja) %{_datadir}/man/ja/man[18]/*.[18]*
%{_datadir}/man/man*/rpm*
%{_datadir}/man/man*/gendiff*
%{_datadir}/man/man*/update-alternatives*

%files build
%defattr(-,root,root)
%{_bindir}/rpmdiff
%{_libdir}/rpm/check-prereqs
%{_libdir}/rpm/cpanflute
%{_libdir}/rpm/find-provides.perl
%{_libdir}/rpm/find-requires.perl
%{_libdir}/rpm/get_magic.pl
%{_libdir}/rpm/http.req
%{_libdir}/rpm/magic.prov
%{_libdir}/rpm/magic.req
%{_libdir}/rpm/perl.prov
%{_libdir}/rpm/perl.req
%{_libdir}/rpm/rpmdiff.cgi
%{_libdir}/rpm/rpmgettext
%{_libdir}/rpm/rpmputtext
%{_libdir}/rpm/u_pkg.sh

%files python
%defattr(-,root,root)
%{_libdir}/python1.5/site-packages/rpmmodule.so

%files devel
%defattr(-,root,root)
%{_includedir}/rpm
%{_libdir}/librpm.a
%{_libdir}/librpm.la
%{_libdir}/librpm.so
%{_libdir}/librpmbuild.a
%{_libdir}/librpmbuild.la
%{_libdir}/librpmbuild.so
%{_datadir}/emacs/site-lisp/*
%config(noreplace) %{_sysconfdir}/emacs/site-start.d/*

%files -n popt -f popt.lang
%defattr(-,root,root)
/lib/libpopt.so.*
%{_libdir}/libpopt.so.*
%{_datadir}/man/man3/popt.3*

%files -n popt-devel
%defattr(-,root,root)
%{_libdir}/libpopt.a
%{_libdir}/libpopt.la
%{_libdir}/libpopt.so
%{_includedir}/popt.h

%changelog
* Thu Oct 19 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.0.5-27mdk
- fixed install of locales.

* Fri Oct 13 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.0.5-26mdk
- reverted back %%_lib to lib (fix #815).

* Mon Oct  9 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.0.5-25mdk
- put back %%_lib to /lib.

* Thu Oct  5 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.0.5-24mdk
- don't use %%configure because it makes bootstrapping fails.
- removed build requires on popt-devel.
- conflict with menu < 2.1.5-29mdk.
- added build requires on zlib-devel gettext automake autoconf.

* Wed Oct  4 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.0.5-23mdk
- rpm-devel depends on popt-devel (close bug #593).
- remove warning cannot get lock on database if not verbose.

* Thu Sep 28 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.0.5-22mdk
- remove path of keyring because the users couldn't verify anymore.
- wait while the database is locked to be able to launch multiple rpm
commands without failure.

* Thu Sep 21 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.0.5-21mdk
- added path of gpg keyring in /etc/rpm.

* Sat Sep  2 2000 Pixel <pixel@mandrakesoft.com> 3.0.5-20mdk
- fix _lib in mdk macros, must be "lib" and not "/lib"
(hell, _libdir was /usr///lib, and was getting bigger at each rebuild!)

* Fri Sep 01 2000 David BAUDENS <baudens@mandrakesoft.com> 3.0.5-19mdk
- Remove -mcpu=pentiumpro for i586

* Wed Aug 30 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.0.5-18mdk
- _localstatedir => /var/lib
- _lib => /lib
- packager tag

* Tue Aug 29 2000 Pixel <pixel@mandrakesoft.com> 3.0.5-17mdk
- objdump shutup

* Sun Aug 27 2000 David BAUDENS <baudens@mandrakesoft.com> 3.0.5-16mdk
- Fix and include macros for PPC & Co

* Fri Aug 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.5-15mdk
- add -S short-circuit for --short-circuit.
- add -A to build and clean everything.
- Last rpm-spec-mode from my tree.

* Thu Aug 24 2000 Pixel <pixel@mandrakesoft.com> 3.0.5-14mdk
- move back to /etc/rc.d/init.d from /etc/init.d
- fix (workaround?) again %%_remove_install_info (modified rpm-3.0.5-mdkconf.patch.bz2)

* Thu Aug 24 2000 Pixel <pixel@mandrakesoft.com> 3.0.5-13mdk
- fix (workaround?) %%_remove_install_info (modified rpm-3.0.5-mdkconf.patch.bz2)

* Tue Aug 22 2000 Pixel <pixel@mandrakesoft.com> 3.0.5-12mdk
- add rpm-spec-mode-mdk.el

* Mon Aug 21 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.0.5-11mdk
- added _initrddir macro to point to %%{_sysconfdir}/init.d.

* Thu Aug 17 2000 Pixel <pixel@mandrakesoft.com> 3.0.5-10mdk
- use find_lang for .mo's
- hide objdump errors in find-requires

* Wed Aug 16 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.0.5-9mdk
- remove beroneries for lord ginette

* Fri Aug 11 2000 David BAUDENS <baudens@mandrakesoft.com> 3.0.5-8mdk
- Allow build without macros
- Add popt-devel in BuildRequires

* Thu Aug  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.5-7mdk
- Reinsert all modifications who was gone from 2mdk (thanks titi :-\).

* Wed Aug  2 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.5-6mdk
- Define mandir and infodir with datadir for FHS.

* Wed Aug 02 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.0.5-5mdk
- fix docdir (chmousucks :-()

* Tue Aug  1 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.5-4mdk
- Define localstatelibdir to /var/lib (for FHS).
- Move rpmdiff to /usr/bin/.

* Wed Jul 26 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.5-3mdk
- Add -bE options to preprocessor the spec file (Samuel Isaacson).

* Mon Jul 24 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.0.5-2mdk
- fix cxxflags as required by lord ginette

* Sat Jul 22 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.5-1mdk
- 3.0.5 final.

* Fri Jul 21 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.5-0.32mdk
- Exclude Bourne Shell script when doing find-requires on exec files
  and want to play with ldd and objdump.

* Fri Jul 21 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.0.5-0.31mdk
- patched % _libexecdir

* Thu Jul 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.5-0.30mdk
- Upgrade groups.
- Define %%_libexcdir to /usr/lib
- Define %%_localstatedir to %{_var}/state.

* Wed Jul 19 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.0.5-0.29mdk
- updated the list of groups.
- new release candidate. Should correct the rpm -F problem (Jrgen Zimmermann).

* Wed Jul 19 2000 Pixel <pixel@mandrakesoft.com> 3.0.5-0.28mdk
- fix macro %%{clean_menus} ;p

* Tue Jul 18 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.0.5-0.27mdk
- fix post and postun script for lord rpmlint

* Tue Jul 18 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.0.5-0.26mdk
- urf, forgot to increase the release tag for popt :-(
- post/postun ldconfig

* Tue Jul 18 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.0.5-0.25mdk
- added macros: _menudir, _iconsdir, _miconsdir, _liconsdir

* Tue Jul 18 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.0.5-0.24mdk
- BM
- use ... rpm macros ...

* Thu Jul 13 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.0.5-0.23mdk
- point libexec to /usr/lib.
- added %make to be able to transparently handle SMP compilation.
The NPROCS env variable overrides the automatic detection.

* Wed Jul 12 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.0.5-0.22mdk
- fix chmousucks in %%clean_menu (thanks gc)

* Wed Jul 12 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.0.5-0.21mdk
- fix chmousucks in %%makeinstall macro

* Tue Jul 11 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.5-0.20mdk
- Define _sysconfdir to /etc.
- Add PREFIX=$RPM_BUILD_ROOT/%%{prefix} to %%makeinstall.
- Add titi patches for optimisations (you have better to ash him wich
  one ;)).

* Mon Jul 10 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.5-0.19mdk
- clean_up typo.

* Sun Jul  9 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.5-0.18mdk
- Macroszifications.
- Fix install_info and move it to platform.

* Sun Jul  9 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.5-0.17mdk
- Back to -O3.

* Thu Jul  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.5-0.16mdk
- Add more titi macros %%{make_session} and %%{clean_menu} (it will be
  documented by titi in few days ;)).

* Thu Jul  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.5-0.15mdk
- Fix typo and remove bad symlinks.

* Wed Jul 05 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.0.5-0.14mdk
- really build against latest libbz2 ...

* Wed Jul  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.5-0.13mdk
- add %%_gamesdir	games/ %%_gamesbindir   %%{_prefix}/%%{_gamesdir}
  %%_gamesdatadir  %%{_datadir}/%%{_gamesdir}, for GG
- Better update-menu macros
- Rebuild agains last bzip2.

* Mon Jul  3 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.0.5-0.12mdk
- updated rpm source with new release candidate.

* Mon Jul  3 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.0.5-0.11mdk
- recompile with newest bzip2.

* Sat Jul  1 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.5-0.10mdk
- s|-O3|-O2|; since -O3 don't compile with gcc2.96

* Wed Jun 28 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.5-0.9mdk
- Add some links for macros when building with --target (should ok now
  guiseppe ?).

* Wed Jun 28 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.5-0.8mdk
- Rebuild again bzip2 1.0.

* Tue Jun 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.5-0.7mdk
- Another fix to platform.in to call brp-mandrake with the new vendor
  stuff (this one should work !!).

* Tue Jun 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.5-0.6mdk
- define a %real_vendor (mandrake) and change target_platforms  to use it.

* Tue Jun 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.5-0.5mdk
- Add %{update-menus} macros.
- define sysconfdir to /etc (thanks gg).
- Include macros file of %{_libdir}/% target_platforms/macros.

* Mon Jun 26 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.5-0.3mdk
- don't use %{vendor} to call brp-mandrake (use mandrake).
- s|%{prefix}/|% prefix|; for prefix of infodir (titi are you happy ?)

* Sat Jun 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.5-0.2mdk
- Define a release for popt* package.

* Fri Jun 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.5-0.1mdk
- Upgrade groups to mdk Groups.
- More mandrakisations with build policies.
- 3.0.5 test series.
- updates-alternatives should be 755.
- Fix doc.

* Mon Jun 19 2000 Pixel <pixel@mandrakesoft.com> 3.0.4-10mdk
- patch for upgrading directory in symlink, won't work if new location already exists :(
  (fixes some "cpio: unlink failed - Bad file descriptor" errors)

* Fri Jun 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.4-9mdk
- Add patch to support rpm-4.0 format (at least work for sources).

* Fri Jun 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.4-8mdk
- Downgrade changes for the configure macros and makeinstall macros
  from rpm-4.0.

* Wed Jun 14 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.4-7mdk
- Forget to create the directory :p.

* Tue Jun  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.4-6mdk
- Add /etc/alternatives and /var/lib/rpm/alternatives directory.

* Tue Jun  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.4-5mdk
- Add updates-alternatives.

* Tue May 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.4-4mdk
- Merge pixel patchs in mdkconf patch.
- Fix gendiff changes.

* Mon May 15 2000 Pixel <pixel@mandrakesoft.com> 3.0.4-3mdk
- add CXXFLAGS to % configure

* Mon May 15 2000 Pixel <pixel@mandrakesoft.com> 3.0.4-2mdk
- add k6&k7 to ix86

* Mon May 15 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.4-1mdk
- Remove ugly patch and add clean fix from Jeff Johnson.
- 1mdk

* Thu Apr 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.4-0.12mdk
- Work Around (ugly ugly ugly but work) on popt bug with --define on alpha.

* Sun Apr 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.4-0.11mdk
- Improve gendiff.
- Define __extensions, and install-info macros install script.
- Add some usefull alias to rpmpopt.

* Sun Mar 26 2000 Pixel <pixel@mandrakesoft.com> 3.0.4-0.10mdk
- patch for supermount: skip mountpoints /mnt/.*

* Wed Mar 22 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.0.4-0.9mdk
- added dependencies on rpm for rpm-devel, rpm-python and rpm-build.
- split popt in popt and popt-devel

* Thu Mar 16 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.0.4-0.8mdk
- fix rpmHeaderGetEntry returned type for RPMTAG_OLDFILENAMES.
- fix syntax in find-requires.

* Thu Mar 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.4-0.7mdk
- 3.0.4 final.

* Sun Mar 12 2000 Pixel <pixel@mandrakesoft.com> 3.0.4-0.6mdk
- moved libpopt.so.0's in /lib

* Mon Mar 06 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 3.0.4-0.5mdk 
- added %{_libdir}/rpm to %files
- added support for RPM_INSTALL_LANG variable (the official way of
  doing it will be using %%{_install_langs} macro on /etc/rpm/macros;
  but there may be some installed systems with RPM_INSTALL_LANG in use
  out ther; and also it is easier for one-time change on the command line) 

* Tue Feb 22 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.4-4mdk
- Remove Makefile* from doc.

* Fri Feb 18 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.0.4-0.3mdk
- put back the man pages.

* Fri Feb 18 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.0.4-0.2mdk
- call spec-helper in __spec_install_post.

* Wed Feb 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.4-0.1mdk
- New spec clean-up.
- Remove pgp passphrase patch (use gpg instead).
- Obsoletes: popt-devel (now popt does also devel).
- Separate in multiple package like rpm-build popt rpm-devel rpm-python.
- New mdkconf patch.
- Use configure macros
- Hide your babys and womens rpm 3.0.4 from CVS is here.

* Thu Jan 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.3-48mdk
- Fix rpmrc again (thanks David Walluck <david@anti-microsoft.org>),
  to bothered me ;).

* Mon Jan 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.3-47mdk
- Reinsert flags for different arch.

* Fri Jan 21 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.0.3-46mdk
- add %{_libdir}/librpm.so to the devel package.

* Fri Jan 21 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.3-45mdk
- Major clean-up of specs and patchs.

* Wed Jan 19 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.0.3-44mdk
- fix find-requires for fakeroot.

* Tue Nov  2 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- s/-O6/-O3/

* Thu Oct 28 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Remove the PGPPASS patch (gpgp conflict) but leave it in case.
- Add %prefix/locale/*/ in %files more doc and %prefix/man/%lang/*

* Thu Oct 28 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add patch to check PGPPASS before signing.

* Tue Oct 26 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Build release.

* Wed Oct 13 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Create a k6 directory in %{prefix}/src/RPM/RPMS

* Fri Oct  8 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix %post # RPM bugs ?
- 3.0.3 final.

* Mon Sep 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- reEnable the rpm -ba --short-circuit from pixel.
- add patch to get work the python modules (#204).

* Sun Sep 26 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Whoops wrong k6 cflags

* Sun Sep 26 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Preliminary k6 support

* Thu Sep 23 1999 Pixel <pixel@mandrakesoft.com>
- fixed a bug in rpmlib

* Thu Aug 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Add patch to fix wrong info path (tnks pablo).
- Fix CFLAGS with multiple gcc interface.

* Mon Aug 16 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Latest CVS - this finally permits us to Provide: versions.

* Wed Aug 11 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Latest CVS
- Put new preferred CFLAGS for {p,}gcc 2.95 in rpmrc by default
- enable support for RPM4 packages
- ignore autoconf version conflicts (autoconf 2.14 works, but rpm
  insists on 2.13)

* Sat Jul 31 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Last cvs version.
- More architecture in rpmputtext (Pablo).

* Tue Jul 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Last version from CVS (fix --rebuild bugs).
- s|i386|i586| in rpmputtext.

* Tue Jul 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- I wonder want to know why rpmlib is so buggy :-((.

* Wed Jul 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Fix rpmpopt wrong path.
- Last CVS snapshot.

* Tue Jul 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- oups Forget to add rpmputtext.

* Tue Jul 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Moving the rpmputtext rpmputtext to %{_bindir}
- 3.0.3 from CVS.
- Relifting of spec files.
- Build Patch.
- Merging old patch of libmisc and libtool.

* Wed Jul 07 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 3.0.2 final (15mdk)
- fixed default build arch use --target if you need it
- added librpmbuild.*a and other libtool files

* Tue Jul  6 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Could not find 11mdk srpm, snapshoted rpm cvs and incremented release

* Fri May 28 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Removing the CVS stuff when compiling.

* Thu May 27 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Update to a recent 3.0.2 CVS snapshot (BuildRequire :) )
- add our CFLAGS to rpmrc
- Recompile with CFLAGS for devel

* Wed May 19 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Update to more recent 3.0.1 CVS snapshot (more bugfixes)

* Tue May 11 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- I have forget to mkdir %{prefix}/src/RPM instead of */*/redhat/
- 3.0.1 from Bero.

* Tue Apr 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adptations.
- Add patch for %{prefix}/src/rpm instead of /usr/src/redhat/.
